---
title: Overview
description: Introduction to LispPad and description of its features.
order: -.INF
---

## What is LispPad?

[LispPad](http://www.lisppad.app) is a simple, lightweight, integrated development environment for
developing and running Scheme code on macOS. The [language supported by LispPad](5-1-features.html)
is based on the [R7RS (small) standard for Scheme](http://r7rs.org). LispPad provides the following components:

- A fully integrated Scheme interpreter (based on the [LispKit engine](https://github.com/objecthub/swift-lispkit))
- A console with a read-eval-print loop
- A text editor supporting syntax highlighting, smart indentation, parenthesis matching, page guides, etc.
- A large set of [natively supported Scheme libraries](6-libraries.html)

[LispPad Go](https://apps.apple.com/us/app/lisppad-go/id1565747728) is a companion app for iOS which
syncs code with LispPad via iCloud. LispPad Go can be used
to develop Scheme code on the go which can be executed both on iOS as well as macOS.

## Table of contents

1. [Sessions](0-sessions.html)
2. [Editing code](1-editing-code.html)
3. [Customizing preferences](2-customizing-prefs.html)
4. [Overview of menus](3-menu-overview.html)
5. [Getting started with Scheme](4-getting-started.html)
6. [Language overview](5-1-features.html)
7. [Libraries](6-libraries.html)
8. [Examples](8-1-example.html)
9. [Release Notes](9-release-notes.html)
